#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import codecs
from setuptools import setup


def read(fname):
    file_path = os.path.join(os.path.dirname(__file__), fname)
    return codecs.open(file_path, encoding='utf-8').read()


setup(
    name='pytest-breed-adapter',
    version='1.1',
    author='megachweng',
    author_email='megachweng@gmail.com',
    maintainer='megachweng',
    maintainer_email='megachweng@gmail.com',
    license='BSD-3',
    url='https://github.com/megachweng/pytest-breed-adapter',
    description='A simple plugin to connect with breed-server',
    long_description=read('README.md'),
    long_description_content_type='text/markdown',
    py_modules=['pytest_breed_adapter'],
    python_requires='>=3.5',
    install_requires=['pytest>=3.5.0'],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Framework :: Pytest',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Testing',
        'Programming Language :: Python',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: Implementation :: CPython',
        'Programming Language :: Python :: Implementation :: PyPy',
        'Operating System :: OS Independent',
        'License :: OSI Approved :: BSD License',
    ],
    entry_points={
        'pytest11': [
            'breed-adapter = pytest_breed_adapter',
        ],
    },
)
